Creates a new object that belongs to a static category (like Company,Project,...)

Request Information

URI Parameters :

None.

Body Parameters :

db_info
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
name

Name of the db_info (Chapter name)

string

Required

Max length: 50

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

sequence

Sorting field (0 first), to order them

integer
db_info_category_id

Main Category this chapter belongs using real foreign keys. Needed to extract "DbReport" where the category is the db_report_type

globally unique identifier
db_info_category_code

Specify on which main category this chapter should be shown. Possible values : Article,Company,Contact,Project,User,Jobs,Task,Opportunity,EquipmentFamily. Read more on API / HELP / Info Fields

string

Required

parent_id

Parent Db_info (chapter) (Parent / Child)

globally unique identifier
parent_db_info_code

Embedded entity "db_info" for parent using ERP PK when adding/updating db_info

string
parent_db_info

Embedded entity "db_info" for parent when adding/updating db_info

db_info
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "d66076f9-3878-442a-bb30-a345cc2245dd",
  "name": "sample string 2",
  "code": "sample string 3",
  "sequence": 4,
  "db_info_category_id": "bb1bf127-3e1e-4cd1-83d3-288c24f67d66",
  "db_info_category_code": "sample string 6",
  "parent_id": "3e959d08-faf6-4da2-b069-a156ea7e7202",
  "parent_db_info_code": "sample string 8",
  "modified_dateutc": "2026-11-02T03:20:05.240757+00:00"
}

Response Information

Resource Description :

db_info
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
name

Name of the db_info (Chapter name)

string

Required

Max length: 50

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

sequence

Sorting field (0 first), to order them

integer
db_info_category_id

Main Category this chapter belongs using real foreign keys. Needed to extract "DbReport" where the category is the db_report_type

globally unique identifier
db_info_category_code

Specify on which main category this chapter should be shown. Possible values : Article,Company,Contact,Project,User,Jobs,Task,Opportunity,EquipmentFamily. Read more on API / HELP / Info Fields

string

Required

parent_id

Parent Db_info (chapter) (Parent / Child)

globally unique identifier
parent_db_info_code

Embedded entity "db_info" for parent using ERP PK when adding/updating db_info

string
parent_db_info

Embedded entity "db_info" for parent when adding/updating db_info

db_info
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "6c1ebcde-ea15-4d23-bb7c-e9a05292b64b",
  "name": "sample string 2",
  "code": "sample string 3",
  "sequence": 4,
  "db_info_category_id": "b6b3f681-0a0e-42c8-8903-8c1a93298d87",
  "db_info_category_code": "sample string 6",
  "parent_id": "14b67ea0-5267-426d-a8ce-cf41953f9ec0",
  "parent_db_info_code": "sample string 8",
  "modified_dateutc": "2026-11-02T03:20:05.240757+00:00"
}